# spec file for plasma-settings
#
# Copyright (c) 2021 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


%global __requires_exclude qmlimport\\((org\\.kde\\.(plasma\\.settings|timesettings|kcm\\.virtualkeyboard)|cellularnetworkkcm)

Name:           plasma-settings 
Version:        22.02
Release:        5.3
License:        GPL-2.0
Summary:        Convergent Plasma Mobile settings application
Url:            https://invent.kde.org/plasma-mobile/plasma-settings
Source0:        plasma-settings-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  appstream
BuildRequires:  extra-cmake-modules
BuildRequires:  hicolor-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  cmake(KF5ModemManagerQt)
BuildRequires:  cmake(KF5NetworkManagerQt)
Requires:       sound-theme-freedesktop
Requires:       (pulseaudio-module-gsettings if pulseaudio)
Requires:       polkit-kde-agent-5
Requires:       accountsservice
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Convergent settings application for Plasma Mobile.
Notice that Wi-Fi, mobile broadband and hotspot KConfig
modules are provided separately, by plasma-nm.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
%fdupes %{buildroot}%{_prefix}

%files -f %{name}.lang
%defattr(-,root,root,-)
%license LICENSES/*
%doc README.md
%{_kf5_bindir}/plasma-settings
%{_kf5_datadir}/applications/org.kde.mobile.plasmasettings.desktop
%{_qt5_plugindir}/kcms/
%{_kf5_datadir}/kpackage/
###${_kf5_datadir}/kservices5/*.desktop

%changelog
* Thu Apr 22 2021 Andrés B.S. <andresbs@opensuse.org>
- Require accountsservice
* Mon Feb 15 2021 Andrés B.S. <andresbs@opensuse.org>
- Fix for qmlautoreqprov
